1. 云栖社区>
  2. PHP教程>
  3. 正文

PHP5.5编译安装问题

作者:用户 来源:互联网 时间:2017-12-01 19:34:58

error

PHP5.5编译安装问题 - 摘要: 本文讲的是PHP5.5编译安装问题, 1.  configure: error: jpeglib.h not found. 解决办法:yum –y install libjpeg-devel 2.  configure: error: Don't know how to de

1.  configure: error: jpeglib.h not found.

解决办法:yum –y install libjpeg-devel

2.  configure: error: Don't know how to define struct flock on thissystem, set --enable-opcache=no

解决办法:

在/etc/ld.so.conf.d中添加local.conf文件:echo “/usr/local/lib”>> /etc/ld.so.conf.d/local.conf

更新动态库:ldconfig -v

3./usr/local/src/LAMP/php-5.5.12/ext/gd/gd.c:57:22:error: X11/xpm.h: No such file or directory

         解决办法:yum -yinstall libXpm-devel

4.undefined referenceto `XpmLibraryVersion'

         解决办法:./configure中增加--with-xpm-dir=/usr/lib64

以上是云栖社区小编为您精心准备的的内容,在云栖社区的博客、问答、公众号、人物、课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索error ,以便于您获取更多的相关知识。